%global packname httr2
%global packver  0.2.2
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          %{packver}
Release:          2%{?dist}
Summary:          Perform HTTP Requests and Process the Responses
License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz
Patch0:           R-httr2-testthat-skip-if-offline.patch

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-cli >= 3.0.0, R-curl, R-glue, R-magrittr, R-openssl, R-R6, R-rappdirs, R-rlang >= 1.0.0, R-withr
# Suggests:  R-askpass, R-bench, R-clipr, R-covr, R-docopt, R-httpuv, R-jose, R-jsonlite, R-knitr, R-purrr, R-rmarkdown, R-testthat >= 3.0.0, R-tibble, R-webfakes, R-xml2
# LinkingTo:
# Enhances:

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-cli >= 3.0.0
BuildRequires:    R-curl
BuildRequires:    R-glue
BuildRequires:    R-magrittr
BuildRequires:    R-openssl
BuildRequires:    R-R6
BuildRequires:    R-rappdirs
BuildRequires:    R-rlang >= 1.0.0
BuildRequires:    R-withr
# Suggests
BuildRequires:    R-askpass
BuildRequires:    R-bench
BuildRequires:    R-clipr
BuildRequires:    R-covr
BuildRequires:    R-docopt
BuildRequires:    R-httpuv
BuildRequires:    R-jose
BuildRequires:    R-jsonlite
BuildRequires:    R-knitr
BuildRequires:    R-purrr
BuildRequires:    R-rmarkdown
BuildRequires:    R-testthat >= 3.0.0
BuildRequires:    R-tibble
BuildRequires:    R-webfakes
BuildRequires:    R-xml2

%description
Tools for creating and modifying HTTP requests, then performing them and
processing the results. 'httr2' is a modern re-imagining of 'httr' that uses a
pipe-based interface and solves more of the problems that API wrapping packages
face.


%prep
%setup -q -c -n %{packname}

%patch -P0 -p1 -b .skip-if-offline

%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname} --no-vignettes --no-examples


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Thu Mar 30 2023 Tom Callaway <spot@fedoraproject.org> - 0.2.2-2
- skip tests from testthat that require network
- disable vignettes and examples

* Tue Mar  7 2023 Tom Callaway <spot@fedoraproject.org> - 0.2.2-1
- initial package
